### Class

# WebKit2WebExtension UserMessage

since: 2.28

#### Description [src]

    class WebKit2WebExtension.UserMessage : GObject.InitiallyUnowned
    {
      WebKitUserMessagePrivate* priv
    }

Message that can be sent between the UI process and web process extensions.

A WebKitUserMessage is a message that can be used for the communication between the UI process and web process extensions. A WebKitUserMessage always has a name, and it can also include parameters and UNIX file descriptors. Messages can be sent from a `WebKitWebContext` to all web process extensions, from a web process extension to its corresponding `WebKitWebContext`, and from a `WebKitWebView` to its corresponding `WebKitWebPage` (and vice versa). One to one messages can be replied to directly with webkit_user_message_send_reply().

Available since: 2.28

#### Ancestors

- GInitiallyUnowned
- GObject

#### Constructors

###### webkit_user_message_new

Create a new `WebKitUserMessage` with `name`.

since: 2.28

###### webkit_user_message_new_with_fd_list

Create a new `WebKitUserMessage` including also a list of UNIX file descriptors to be sent.

since: 2.28

#### Functions

###### webkit_user_message_error_quark

Gets the quark for the domain of user message errors.

#### Instance methods

###### webkit_user_message_get_fd_list

Get the `message` list of file descritpor.

since: 2.28

###### webkit_user_message_get_name

Get the `message` name.

since: 2.28

###### webkit_user_message_get_parameters

Get the `message` parameters.

since: 2.28

###### webkit_user_message_send_reply

Send a reply to an user message.

since: 2.28

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### WebKit2WebExtension.UserMessage:fd-list

The UNIX file descriptors of the user message.

since: 2.28

###### WebKit2WebExtension.UserMessage:name

The name of the user message.

since: 2.28

###### WebKit2WebExtension.UserMessage:parameters

The parameters of the user message as a `GVariant`, or `NULL` if the message doesn’t include parameters. Note that only complete types are allowed.

since: 2.28

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct WebKit2WebExtensionUserMessageClass {
      GInitiallyUnownedClass parent_class;
      void (* _webkit_reserved0) (
    void
      );
      void (* _webkit_reserved1) (
    void
      );
      void (* _webkit_reserved2) (
    void
      );
      void (* _webkit_reserved3) (
    void
      );

    }

No description available.

###### Class members

`parent_class: GInitiallyUnownedClass`

  No description available.

`_webkit_reserved0: void (* _webkit_reserved0) ( void )`

  No description available.

`_webkit_reserved1: void (* _webkit_reserved1) ( void )`

  No description available.

`_webkit_reserved2: void (* _webkit_reserved2) ( void )`

  No description available.

`_webkit_reserved3: void (* _webkit_reserved3) ( void )`

  No description available.